Subject: Re: bug#14595: Erroneous composition of lambda in emacs-lisp buffers with prog-prettify-symbols enabled

From: Juanma Barranquero <[email-masked]>
Date: Sun, 16 Jun 2013 05:01:48 +0200

On Sun, Jun 16, 2013 at 4:50 AM, Eli Zaretskii <[email-masked]> wrote:

> I wasn't aware of any inconsistent display or scrolling behavior in
> his description.  Juanma, can you repeat that description, which I
> probably missed?

With a file containing 1000 identical lines "(lambda (x) x)", the
lambdas that were incorrectly composed depend on the direction you
scroll the buffer. Scrolling from the beginning towards the end (page
by page), I got about 30 errors, always in the same positions
(distributed non-uniformly). If you repeat the experiment, but go
immediately to the end and scroll up, you got a different number of
errors (double or so) at different possitions, also consistents from
one run to the next.

I suppose that's what Ted is talking about.

   J